#include <Servo.h>

Servo servo1;
char inChar = 0;
String inputString = "";
boolean stringComplete = false;
int servoDegrees = 0;

void setup()
{
  Serial.begin(9600);
  servo1.attach(14); //analog pin 0
}

void loop()
{
  if (stringComplete)
  {
    servoDegrees = inputString.toInt();
    if (servoDegrees >= 0 && servoDegrees <= 180)
    {
      servo1.write(servoDegrees);
      Serial.println(servoDegrees);
    }
    else
    {
      Serial.println("Bad value");
    }

    inputString = "";
    stringComplete = false;
  }
}
void serialEvent()
{
  while (Serial.available() > 0)
  {
    char inChar = (char)Serial.read();

    inputString += inChar;

    if (inChar == '\n')
    {
      stringComplete = true;
    }
  }
}
