﻿using System;
using System.IO.Ports;
using System.Windows.Forms;

namespace ServoGuiExample
{
    public partial class Form1 : Form
    {
        private string selectedPortName = string.Empty;
        private SerialPort mySerialPort = null;
        public Form1()
        {
            InitializeComponent();
            //Get all serial ports
            this.comboBox1.Items.AddRange(SerialPort.GetPortNames());
        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.selectedPortName = this.comboBox1.Text;
            if (!string.IsNullOrEmpty(this.selectedPortName))
            {
                this.mySerialPort = new SerialPort(this.selectedPortName, 9600);
                this.mySerialPort.Open();
            }
        }

        private void trackBar1_ValueChanged(object sender, EventArgs e)
        {
            if (this.mySerialPort != null && this.mySerialPort.IsOpen)
                this.mySerialPort.WriteLine(trackBar1.Value.ToString());
        }
    }
}
